library(shiny)


shinyUI(fluidPage(

  titlePanel("Transformations to Normality"),

  sidebarLayout(
      sidebarPanel(
           radioButtons("whichgraph", "Type of Graphics",
                  c("base" = "base","ggplot2" = "ggplot2"),inline=TRUE),
           uiOutput("checkGraph"),  
           selectInput("dataset", "Choose a Dataset", 
                  choices = c("Cancer Survival","Wells","Mammals","Forbes 500","Billionaires 1992","Upload your own")), 
           conditionalPanel( condition = "input.dataset == 'Upload your own'",
                        fileInput('file1', 'Choose file to upload',
                accept = c('text/csv','text/comma-separated-values','text/tab-separated-values',
                  'text/plain','.csv','.tsv')),
                tags$hr(),
                checkboxInput('header', 'Header', TRUE),
                radioButtons('sep', 'Separator',
                   c(Comma=',',Semicolon=';',Tab='\t'),','),
                radioButtons('quote', 'Quote',
                   c(None='','Double Quote'='"','Single Quote'="'"),'"'),
                tags$hr()),

                 
           conditionalPanel( condition = "input.dataset == 'Forbes 500'",
                  selectInput("var1","X Variable",
                  choices = c("Assets","Sales","Market_Value","Profits","Cash_Flow","Employees")),                                            
                  selectInput("var2","by Y Variable",
                  choices = c("Sector","Assets","Sales","Market_Value","Profits","Cash_Flow","Employees"))),                                            
           conditionalPanel( condition = "input.dataset == 'Billionaires 1992'",
                  selectInput("var3","X Variable",choices = c("Wealth","Age")),
                  selectInput("var4","Y Variable",choices = c("Region","Wealth","Age"))),
           selectInput("transx", "Choose a Transformation for X Variable", 
                  choices = c("None","Square Root","Log","Inverse","Enter you own!")),
           conditionalPanel( condition = "input.transx == 'Enter you own!'",
                textInput("transxx","Write transformation:")),            
           conditionalPanel( condition = "input.dataset == 'Mammals' | 
                            input.dataset == 'Forbes 500' |
                            input.dataset == 'Billionaires 1992'", 
               selectInput("transy", "Choose a Transformation for Y Variable", 
               choices = c("Same as X","None","Square Root","Log","Inverse","Enter you own!"))),
               conditionalPanel( condition = "input.transy == 'Enter you own!'",
                     textInput("transxy","Write transformation:")),              
           uiOutput("appinfo"),with=3
        ),
  mainPanel(
       uiOutput("story"), 
       plotOutput("plot1",width="600px",height="450px")
      )
  ),    
  uiOutput("explainText")    
))

